#!/usr/bin/python

"""
__version__ = "$Revision: 1.4 $"
__date__ = "$Date: 2001/08/14 01:45:05 $"
"""

import time
import PythonCardPrototype
from PythonCardPrototype.log import Log
from PythonCardPrototype.loader import configOptions
import os, sys

class Proof( PythonCardPrototype.model.Background ) :

    def on_bogus_select( self, bogus, event ) :
        print 'bogus!'

    def on_button1_mouseClick( self, button, event ) :
        #Set the value of 'field1' to the current time
        #when 'button1' is clicked.
        now = time.localtime(time.time())
        field1 = self.components.field1
        print '\n\n\n\n\nfield1=', field1
        field1.text = "it's %s" % time.asctime( now )
        list = self.components.list
        Log.getInstance().debug( list.items )
        Log.getInstance().debug( list.selection )
        list.selection = "one"

        slider = self.components.aSlider
        Log.getInstance().debug( 'min='+ str( slider.min ) )
        Log.getInstance().debug( 'max=' + str( slider.max ) )
        Log.getInstance().debug( 'value=' + str( slider.value ) )

        # RDS 2001-07-29
        # Test setting StaticText.
        self.components.label.text = self.components.field2.text
        # KEA 2001-07-27
        # test out setting colors
        # three different forms accepted
        # no mapping between names and color yet
        #button.setBackgroundColor('LAVENDER BLUSH')
        button.backgroundColor = 'BLUE'
        #button.setBackgroundColor('#FF0000')
        #rgb = (255, 0, 0)
        button.backgroundColor = (255, 0, 0)
        print button.backgroundColor

    
    def on_imagebtn_mouseClick( self, button, event ) :
        Log.getInstance().debug( 'imagebutton-mouseClick:' + str( button ) )

        # RDS - MessageEvent has been removed - replacement functionality
        #       has not been decided yet.

        #msgEvent = MessageEvent( 'button1', 'doClick', None, self )
        ##self.postEvent( msgEvent )

    def on_list_select ( self, list, event ) :
        print 'selected: ' + str( list.selection )
        print self
        
    def on_list_mouseDoubleClick( self, list, event ) :
        print 'selected: ' + str( list.selection )

    def on_field1_textUpdate ( self, field, event ) :
        Log.getInstance().debug( 'text-update:' + field.text )

    def on_field1_textEnter ( self, field, event ) :
        Log.getInstance().debug( 'text-enter:' + field.text )

    def on_field1_keyUp ( self, field, event ) :
        Log.getInstance().debug( 'key-up:' + str( event ) )

#    def on_showMessageWatcher_command ( self, source, event ) :
#        Log.getInstance().debug( 'showing Message Watcher' )

    def on_radiogroup_select( self, radios, event ) :
        Log.getInstance().debug( radios )

    def on_checkbox_mouseClick( self, checkbox, event ) :
        Log.getInstance().debug( '\ncheckbox-clicked: ' + str( checkbox ) )

    def on_choice_select( self, choice, event ) :
        Log.getInstance().debug( '\nchoice-selected: ' + str( choice ) )

    def on_mnuExit_select(self, menu, event):
        self.Close()


if __name__ == '__main__':
    base, ext = os.path.splitext(sys.argv[0])
    filename = base + ".rsrc.py"

    configOptions()

    app = PythonCardPrototype.model.PythonCardApp(filename)
    app.MainLoop()
