
{ 'stack':{ 'type':'Stack',
            'name':'TextIndexer',
            'title':'Text Indexing and Compression',
            'size':( 400, 290 ),

    'menubar': 
    { 
        'type':'MenuBar',
        'menus': 
        [
            { 'type':'Menu',
              'name':'menuFile',
              'label':'File',
              'items': [ 
                        { 'type':'MenuItem',
                          'name':'menuFileCompactStack',
                          'label':"&Compact Stack",
                          'command':'compactStack' },
                        { 'type':'MenuItem',
                          'name':'menuFileImportStack',
                          'label':"&Import Stack",
                          'command':'importStack'},
                        { 'type':'MenuItem', 'name':'fileSep1', 'label':'-' },
                        { 'type':'MenuItem',
                          'name':'menuFileExit',
                          'label':'E&xit\tAlt-X',
                          'command':'exit'}
                ] },
            {'type':'Menu',
             'name':'Edit',
             'label':'&Edit',
             'items': [ { 'type':'MenuItem',
                          'name':'menuEditUndo',
                          'label':'&Undo\tCtrl-Z',
                          'command':'editUndo'},
                        { 'type':'MenuItem',
                          'name':'menuEditRedo',
                          'label':'&Redo\tCtrl-Y',
                          'command':'editRedo'},
                        { 'type':'MenuItem', 'name':'editSep1', 'label':'-' },
                        { 'type':'MenuItem',
                          'name':'menuEditCut',
                          'label':'Cu&t\tCtrl-X',
                          'command':'editCut'},
                        { 'type':'MenuItem',
                          'name':'menuEditCopy',
                          'label':'&Copy\tCtrl-C',
                          'command':'editCopy'},
                        { 'type':'MenuItem',
                          'name':'menuEditPaste',
                          'label':'&Paste\tCtrl-V',
                          'command':'editPaste'},
                        { 'type':'MenuItem', 'name':'editSep2', 'label':'-' },
                        { 'type':'MenuItem',
                          'name':'menuEditClear',
                          'label':'Cle&ar\tDel',
                          'command':'editClear'},
                        { 'type':'MenuItem',
                          'name':'menuEditSelectAll',
                          'label':'Select A&ll\tCtrl-A',
                          'command':'editSelectAll'},
                        { 'type':'MenuItem', 'name':'editSep3', 'label':'-' },
                        { 'type':"MenuItem",
                          'name':"menuEditNewCard",
                          'label':"&New Card\tCtrl+N",
                          'command':'editNewCard'},
                        { 'type':"MenuItem",
                          'name':"menuEditDeleteCard",
                          'label':"&Delete Card",
                          'command':'editDeleteCard'},
                        ] },
            {'type':'Menu',
             'name':'Go',
             'label':'&Go',
             'items': [ { 'type':"MenuItem",
                          'name':"menuGoNextCard",
                          'label':"&Next Card\tCtrl+1",
                          'command':'goNext'},
                        { 'type':"MenuItem",
                          'name':"menuGoPrevCard",
                          'label':"&Prev Card\tCtrl+2",
                          'command':'goPrev'},
                        { 'type':"MenuItem",
                          'name':"menuGoFirstCard",
                          'label':"&First Card\tCtrl+3",
                          'command':'goFirst'},
                        { 'type':"MenuItem",
                          'name':"menuGoLastCard",
                          'label':"&Last Card\tCtrl+4",
                          'command':'goLast'},
                        ] }
        ]       
    },

    'backgrounds':
 [ 
  { 'type':'Background',
    'file':'textIndexer.py',
    'classname':'CardFrame',
    'name':'bgCard',
   'components':
   [ 
    { 'type':'TextArea',
      'name':'field1',
      'position':(0, 0),
      'size':(390, 200),
      'text':'Hello PythonCard' },
    { 'type':'Button',
      'name':'btnFirstCard',
      'position':(30, 210),
      'label':'First',
      'command':'goFirst'},
    { 'type':'Button',
      'name':'btnPrevCard',
      'position':(110, 210),
      'label':'Previous',
      'command':'goPrev'},
    { 'type':'Button',
      'name':'btnNextCard',
      'position':(190, 210),
      'label':'Next',
      'command':'goNext'},
    { 'type':'Button',
      'name':'btnLastCard',
      'position':(270, 210),
      'label':'Last',
      'command':'goLast'},
   ]
  }
 ]
 }
 }

