#!/usr/bin/env python
"""Demonstrates the bare minimum necessary to create a PyCrust-based app.

The PyCrust Shell object creates a default interpreter.
That means that now, for the very first time in the history of the universe,
creating your very own python shell application is as easy as... <wink>
"""

__author__ = "Patrick K. O'Brien <pobrien@orbtech.com>"
__cvsid__ = "$Id: PyCrustMinimus.py,v 1.5 2001/08/16 05:51:43 pobrien Exp $"
__date__ = "August 2, 2001"
__version__ = "$Revision: 1.5 $"[11:-2]

from wxPython.wx import *

from PyCrust.shell import Shell


class Frame(wxFrame):
    def __init__(self, parent, id, title):
        wxFrame.__init__(self, parent, id, title)
        self.shell = Shell(parent=self, id=-1)



class App(wxApp):
    def OnInit(self):
        self.frame = Frame(parent=None, id=-1, title='PyCrust Minimus')
        self.frame.Show(true)
        self.SetTopWindow(self.frame)
        return true


def main():
    application = App(0)
    application.MainLoop()

if __name__ == '__main__':
    main()
