"""
__version__ = "$Revision: 1.1.1.1 $"
__date__ = "$Date: 2001/08/06 19:53:13 $"
"""

from event import Event, EventListener

class ConsoleEventMonitor( EventListener ) :
    """
    Implements a simple EventListener that prints all Events
    posted to the EventQueue to the console.

    In pcApp.py, line 21, you'll see the following line that
    sets up an instance of ConsoleEventMonitor as a listener
    to the EventQueue:

           self.eventQueue.addListener( ConsoleEventMonitor() )
    """

    def eventOccurred( self, event ) :

        print event.__dict__

# Unit Test

if __name__ == '__main__' :
    ConsoleEventMonitor().eventOccurred( Event( "test" ) )
