"""
__version__ = "$Revision: 1.1.1.1 $"
__date__ = "$Date: 2001/08/06 19:53:13 $"
"""

# POM - Python Object Model

from event import EventSource

class Component( EventSource ) :
    """
    The superclass of all PythonCard components.

    Components can be visual ( extend Widget ) or
    non-visual ( extend Component ).
    """
    def __init__( self ) :
        EventSource.__init__( self )

class ComponentInspector :
    """
    Provides an api for introspection on
    Component classes.
    """
    def __init__( self, aComponent ) :
        self._component = aComponent 

    def getEventClasses( self ) :
        return self._component.__class__._events

