{ 'stack':{ 'type':'Stack',
            'name':'DbBrowser', 
            'title':'DbBrowser', 
            'position':( 100, 100 ), 
            'size':( 500, 500 ),

    'menubar': 
    {   'type':'MenuBar',
        'menus': 
        [
            {'type':'Menu',
             'name':'mnuFile', 
             'label':'&File',
             'items': [ { 'type':'MenuItem',
                          'name':'mnuOpen',
                          'label':'&Open\tCtrl-O' }, 
                        { 'type':'MenuItem',
                          'name':'mnuExit',
                          'label':'E&xit\tAlt-X' } ] }
        ]       
    },

    'backgrounds':
 [ 
  {'type':'Background',
   'file':'dbBrowser.py',
   'classname':'DbBrowser',
   'name':'DbBrowser',
   'size':(500, 500), 
   'components':
   [ 
    # The rows in my layout are each 25 pixels high with starting points at
    # 1, 26, 51, 76, 101, 126, 151, 176, 201, 226, etc.
    {'type':'StaticText', 'name':'lblUsername', 'position':(5, 1), 'text':'Username'},
    {'type':'TextField', 'name':'txtUsername', 'position':(60, 1), 'size':(75, -1), 'text':'', 'toolTip':'User Name'},
    {'type':'StaticText', 'name':'lblPassword', 'position':(140, 1), 'text':'Password'},
    {'type':'PasswordField', 'name':'txtPassword', 'position':(195, 1), 'size':(75, -1), 'text':'', 'toolTip':'Password'},
    {'type':'StaticText', 'name':'lblDatabase', 'position':(275, 1), 'text':'Database'},
    {'type':'TextField', 'name':'txtDatabase', 'position':(330, 1), 'size':(75, -1), 'text':'', 'toolTip':'Database name'},
    {'type':'Button', 'name':'btnConnect', 'position':(415, 1), 'size':(-1, -1), 'label':'Connect', 'toolTip':'Connect to Database'},
    {'type':'StaticText', 'name':'lblTables', 'position':(5, 26), 'text':'Table' },
    {'type':'Choice', 'name':'chsTables', 'position':(60, 26), 'size':(150, -1), 'items':[], 'selected':''},
    {'type':'Button', 'name':'btnBrowse', 'position':(415, 26), 'size':(-1, -1), 'label':'Browse', 'toolTip':'Browse the table data'},
    {'type':'StaticLine', 'name':'lnButtons', 'position':(5, 64), 'size':(490, -1) },
    {'type':'Button', 'name':'btnFirstRow', 'position':(100, 76), 'size':(-1, -1), 'label':'First Row', 'enabled':0},
    {'type':'Button', 'name':'btnPreviousRow', 'position':(175, 76), 'size':(-1, -1), 'label':'Previous Row', 'enabled':0},
    {'type':'Button', 'name':'btnNextRow', 'position':(256, 76), 'size':(-1, -1), 'label':'Next Row', 'enabled':0},
    {'type':'Button', 'name':'btnLastRow', 'position':(331, 76), 'size':(-1, -1), 'label':'Last Row', 'enabled':0}
   ]
  }
 ]
 }
 }

