#!/usr/bin/python

"""
__version__ = "$Revision: 1.2 $"
__date__ = "$Date: 2001/08/14 01:34:16 $"
"""

import PythonCardPrototype
from PythonCardPrototype.loader import configOptions
from PythonCardPrototype import sound, dialog
import os, sys

class Sounds(PythonCardPrototype.model.Background) :
    def on_btnPlay_mouseClick(self, button, event):
        filename = self.components.fldFilename.text
        async = self.components.chkAsync.checked
        loop = self.components.chkLoop.checked
        # I don't know how to stop a looped sound playing!
        snd = sound.Sound(filename)
        snd.play(async, loop)
    
    def on_btnFile_mouseClick(self, button, event):
        #wildcard = "JPG files (*.jpg;*.jpeg)|*.jpg;*.jpeg|GIF files (*.gif)|*.gif|All Files (*.*)|*.*"
        wildcard = "Wave files (*.wav)|*.wav"
        path = ''
        filename = ''
        dlg = dialog.FileDialog(self, 'Open', path, filename, wildcard)
        if dlg.accepted():
            s = dlg.getPaths()[0]
            self.components.fldFilename.text = s

    def on_menuFileExit_select(self, menu, event):
        self.Close()

if __name__ == '__main__':
    base, ext = os.path.splitext(sys.argv[0])
    filename = base + ".rsrc.py"

    configOptions()

    app = PythonCardPrototype.model.PythonCardApp(filename)
    app.MainLoop()
