{ 'stack':
  { 'type':'Stack',
    'name':'StackWidgetsTest',
    'title':'Widgets Test',
    #'position':( 100, 100 ),
    'size':( 500, 600 ),

    'menubar': 
    {   'type':'MenuBar', 
        'menus': 
        [
            {'type':'Menu',
             'name':'File',
             'label':'&File',
             'items': [ { 'type':'MenuItem',
                          'name':'menuFileExit',
                          'label':'E&xit\tAlt-X'} ] }
        ]       
    },

    'backgrounds':
 [ 
  {'type':'Background',
   'file':'test_widgets.py',
   'classname':'WidgetsTest',
   'name':'bgWidgets',
   #'image':'tile.bmp',
   #'tiled':1,
   'components':
   [ 
    #{'type':'List', 'name':'listFiles', 'position':(5, 5), 'size':(150, 200),'items':[], 'selected':'' },
    #{'type':'Button', 'name':'btnChangeDirs', 'position':(5, 220), 'label':'Change Directories'},

    {'type':'StaticLine', 'name':'staticMenuUnderline', 'position':( 0, 0 ), 'size':( 500, -1 ) },


    { 'type':'CheckBox', 'name':'chkEnabled', 'position':(310, 5), 'label':'Enabled', 'checked':1},
    { 'type':'CheckBox', 'name':'chkVisible', 'position':(310, 35), 'label':'Visible', 'checked':1},
    { 'type':'CheckBox', 'name':'chkEditable', 'position':(310, 65), 'label':'Editable', 'checked':1},
    {'type':'Button', 'name':'btnBackgroundColor', 'position':(310, 95), 'label':'BackgroundColor'},
    {'type':'Button', 'name':'btnForegroundColor', 'position':(310, 125), 'label':'ForegroundColor'},
    {'type':'Button', 'name':'btnFont', 'position':(310, 155), 'label':'Font'},
    {'type':'Button', 'name':'btnToolTip', 'position':(310, 185), 'label':'ToolTip'},
    {'type':'Button', 'name':'btnBgBackgroundColor', 'position':(310, 215), 'label':'Background BackgroundColor'},

    {'type':'StaticText', 'name':'labelButton', 'position':(5, 5), 'text':'Button:'},
    {'type':'StaticText', 'name':'labelTextField', 'position':(5, 35), 'text':'TextField:'},
    {'type':'StaticText', 'name':'labelPasswordField', 'position':(5, 65), 'text':'PasswordField:'},
    {'type':'StaticText', 'name':'labelTextArea', 'position':(5, 95), 'text':'TextArea:'},
    {'type':'StaticText', 'name':'labelStaticText', 'position':(5, 200), 'text':'StaticText:'},
    {'type':'StaticText', 'name':'labelCheckBox', 'position':(5, 230), 'text':'CheckBox:'},
    {'type':'StaticText', 'name':'labelRadioGroup', 'position':(5, 260), 'text':'RadioGroup:'},
    {'type':'StaticText', 'name':'labelChoice', 'position':(5, 350), 'text':'Choice:'},
    {'type':'StaticText', 'name':'labelList', 'position':(5, 380), 'text':'List:'},
    {'type':'StaticText', 'name':'labelSlider', 'position':(5, 490), 'text':'Slider:'},
    {'type':'StaticText', 'name':'labelStaticLine', 'position':(5, 520), 'text':'StaticLine:'},
    {'type':'StaticText', 'name':'labelImage', 'position':(250, 260), 'text':'Image:'},
    {'type':'StaticText', 'name':'labelImageButton', 'position':(250, 350), 'text':'ImageButton:'},

    {'type':'TextField', 'name':'fldTextFieldNoBorder', 'position':(250, 400), 'size':(200, 50), 'text':'TextField with no border', 'border':'none'},

    {'type':'Button', 'name':'btnButton', 'position':(100, 4), 'label':'Button'},
    {'type':'TextField', 'name':'fldTextField', 'position':(100, 32), 'size':(180, -1), 'text':''},
    {'type':'PasswordField', 'name':'fldPasswordField', 'position':(100, 62), 'size':(180, -1), 'text':''},
    {'type':'TextArea', 'name':'fldTextArea', 'position':(100, 92), 'size':(180, 100),
     'text':'Use the checkboxes and buttons on the right to set the attributes of the widgets on the left.\n\n' +
     'The font support is not hooked up yet.\n\n' +
     'The editable attribute only applies to TextField, PasswordFiled, and TextArea.'},
    {'type':'StaticText', 'name':'txtStaticText', 'position':(100, 200), 'text':'StaticText'},
    {'type':'CheckBox', 'name':'chkCheckBox', 'position':(100, 230), 'label':'CheckBox'},
    { 'type':'RadioGroup', 'name':'radRadioGroup', 'position':( 100, 260 ), 'label':'A RadioBox', 'items':[ 'one', 'two', 'three' ], 'selected':'one', 'layout':'horizontal' },
    { 'type':'Choice', 'name':'popChoice', 'position':( 100, 350 ),'label':'A Choice', 'items':[ 'one', 'two', 'three' ], 'selected':'two' },
    { 'type':'List', 'name':'lstList', 'position':( 100, 380 ),'items':[ 'one', 'two', 'three' ], 'selected':'three' },
    { 'type':'Slider', 'name':'sldSlider', 'position':( 100, 490 ), 'size':(100, 20), 'min':1, 'max':100, 'value':1, 'layout':'horizontal' },
    { 'type':'StaticLine', 'name':'linStaticLine', 'position':( 100, 520 ), 'size':( 200, -1 ) },
    { 'type':'ImageButton', 'name':'imgImageButton', 'position':( 350, 350 ), 'size':( -2, -2 ), 'file':'edit.gif', 'border':'transparent' },
    { 'type':'Image', 'name':'imgImage', 'position':( 350, 260 ), 'size':( -2, -2 ), 'file':'tile.bmp' },

    #{'type':'TextArea', 'name':'listResults', 'position':(5, 300), 'size':(580, 200),'text':''}
   ]
  }
 ]
 }
}
